Cyberduck Mountain Duck CLI

#679 closed defect (worksforme)

Deleting directories (i.e., recursive delete) often trip up the duck.

Reported by: anonymous Owned by: cyberduck
Priority: high Milestone: 2.7.3
Component: core Version: 2.6
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

It's probably getting tripped up between its own cache and the real files.

It keeps reporting after iterating through some inner folders that it cannot delete certain files as they don't exist. It's probably deleted them already...

It's a real pain. Currently happens with ftp.

Change History (5)

comment:1 Changed on Aug 16, 2006 at 11:50:41 AM by dkocher

Please verify against 2.6.1

comment:2 Changed on Aug 23, 2006 at 2:51:16 PM by Colm Osiris

This has happened to me also. I get these messages:

FTP Error: Icon: No such file or directory (ecology)

FTP Error: articles: Directory not empty (articles)

FTP Error: thumbs: Directory not empty (thumbs)

But when I try to look at the files (they're JPEGs) in my browser, it says 'Not Found'.

It is really annoying. But apart from that, I think the Duck is wonderful. Keep up the good work!

comment:3 Changed on Aug 23, 2006 at 2:52:30 PM by Colm Osiris

PS. I am using 2.6.1.

comment:4 Changed on Dec 21, 2006 at 10:46:19 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Please reopen this ticket if this is still an issue with 2.7.x

comment:5 Changed on Feb 9, 2007 at 1:17:19 PM by dkocher

  • Milestone set to 2.7.3

Fixed as of r2830. Happend if both the parent directory and its child items have been selected for move/delete/duplicate operations.

Note: See TracTickets for help on using tickets.
swiss made software